# Class JC

java.lang.Object
org.jmol.viewer.JC

public final class JC extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_HYDROGEN_TITLE`
`static final String`
`allowedQuaternionFrames`
`static final int`
`ALPHA_CARBON_VISIBILITY_FLAG`
`static final int[]`
`altArgbsCpk`
`static final float`
`ANGSTROMS_PER_BOHR`
`static final int[]`
`argbsFormalCharge`
`static final int`
`argbsIsosurfaceNegative`
`static final int`
`argbsIsosurfacePositive`
`static final int[]`
`argbsRoygbScale`
`static final int[]`
`argbsRwbScale`
`static final byte`
`ATOMID_ALPHA_CARBON`
`static final int`
`ATOMID_ALPHA_ONLY_MASK`
`static final byte`
`ATOMID_AMINO_NITROGEN`
/////////////////////////////////////////////////////////////
`static final byte`
`ATOMID_C1_PRIME`
`static final byte`
`ATOMID_C2`
`static final byte`
`ATOMID_C2_PRIME`
`static final byte`
`ATOMID_C3_PRIME`
`static final byte`
`ATOMID_C4`
`static final byte`
`ATOMID_C4_PRIME`
`static final byte`
`ATOMID_C5`
`static final byte`
`ATOMID_C5_PRIME`
`static final byte`
`ATOMID_C5M`
`static final byte`
`ATOMID_C6`
`static final byte`
`ATOMID_C7`
`static final byte`
`ATOMID_C8`
`static final byte`
`ATOMID_CARBONYL_CARBON`
`static final byte`
`ATOMID_CARBONYL_OD1`
`static final byte`
`ATOMID_CARBONYL_OD2`
`static final byte`
`ATOMID_CARBONYL_OE1`
`static final byte`
`ATOMID_CARBONYL_OE2`
`static final byte`
`ATOMID_CARBONYL_OXYGEN`
`static final int`
`ATOMID_DISTINGUISHING_ATOM_MAX`
`static final byte`
`ATOMID_H3T_TERMINUS`
`static final byte`
`ATOMID_H5T_TERMINUS`
`static final byte`
`ATOMID_HO3_PRIME`
`static final byte`
`ATOMID_HO5_PRIME`
`static final byte`
`ATOMID_N1`
`static final byte`
`ATOMID_N2`
`static final byte`
`ATOMID_N3`
`static final byte`
`ATOMID_N4`
`static final byte`
`ATOMID_N6`
`static final byte`
`ATOMID_N7`
`static final byte`
`ATOMID_N9`
`static final int`
`ATOMID_NUCLEIC_MASK`
`static final byte`
`ATOMID_NUCLEIC_PHOSPHORUS`
`static final byte`
`ATOMID_O1`
`static final byte`
`ATOMID_O1P`
`static final byte`
`ATOMID_O2`
`static final byte`
`ATOMID_O2_PRIME`
`static final byte`
`ATOMID_O2P`
`static final byte`
`ATOMID_O3_PRIME`
`static final byte`
`ATOMID_O4`
`static final byte`
`ATOMID_O4_PRIME`
`static final byte`
`ATOMID_O5_PRIME`
`static final byte`
`ATOMID_O5T_TERMINUS`
`static final byte`
`ATOMID_O6`
`static final byte`
`ATOMID_OP1`
`static final byte`
`ATOMID_OP2`
`static final int`
`ATOMID_PHOSPHORUS_ONLY_MASK`
`static final int`
`ATOMID_PROTEIN_MASK`
`static final byte`
`ATOMID_S4`
`static final byte`
`ATOMID_TERMINATING_OXT`
`static final int`
`AXES_DEFAULT_FONTSIZE`
`static final String[]`
`axesTypes`
`static final int`
`AXIS_A`
`static final String[]`
`axisLabels`
`static final V3`
`axisNX`
`static final V3`
`axisNY`
`static final V3`
`axisNZ`
`static final V3`
`axisX`
`static final V3`
`axisY`
`static final V3`
`axisZ`
`static String`
`BASE64_TAG`
`static final String`
`CACTUS_FILE_TYPES`
`static final String`
`CELL_TYPE_MAGNETIC_PARENT`
`static final String`
`CELL_TYPE_MAGNETIC_STANDARD`
`static final String`
`CELL_TYPE_SPIN_FRAME`
`static final String`
`CELL_TYPE_SPIN_G0`
`static final String`
`CELL_TYPE_SPIN_L0`
`static final String`
`CELL_TYPE_SPIN_MAG_INPUT`
`static final String`
`CELL_TYPE_SPIN_MAG_PRIMITIVE`
`static final V3`
`center`
`static final int`
`CIP_CHIRALITY_AXIAL_FLAG`
`static final int`
`CIP_CHIRALITY_CANTDETERMINE`
`static final int`
`CIP_CHIRALITY_EZ_FLAG`
`static final int`
`CIP_CHIRALITY_m_FLAG`
`static final int`
`CIP_CHIRALITY_M_FLAG`
`static final int`
`CIP_CHIRALITY_NAME_MASK`
`static final int`
`CIP_CHIRALITY_NAME_OFFSET`
`static final int`
`CIP_CHIRALITY_NONE`
`static final int`
`CIP_CHIRALITY_p_FLAG`
`static final int`
`CIP_CHIRALITY_P_FLAG`
`static final int`
`CIP_CHIRALITY_PSEUDO_FLAG`
`static final int`
`CIP_CHIRALITY_r_FLAG`
`static final int`
`CIP_CHIRALITY_R_FLAG`
`static final int`
`CIP_CHIRALITY_s_FLAG`
`static final int`
`CIP_CHIRALITY_S_FLAG`
`static final int`
`CIP_CHIRALITY_seqcis_FLAG`
`static final int`
`CIP_CHIRALITY_seqCis_FLAG`
`static final int`
`CIP_CHIRALITY_seqtrans_FLAG`
`static final int`
`CIP_CHIRALITY_seqTrans_FLAG`
`static final int`
`CIP_CHIRALITY_UNKNOWN`
`static final int`
`COLOR_CONTRAST`
`static final String`
`copyright`
`static final String`
`date`
`static final short`
`DEFAULT_BOND_MILLIANGSTROM_RADIUS`
`static final float`
`DEFAULT_BOND_RADIUS`
`static final float`
`DEFAULT_BOND_TOLERANCE`
`static final String`
`DEFAULT_DRAG_DROP_SCRIPT`
`static final String`
`DEFAULT_DRAW_SYM_ID`
`static final String`
`DEFAULT_FONTFACE`
/////////////////////////////////////////////////////////////
`static final String`
`DEFAULT_FONTSTYLE`
`static final String`
`DEFAULT_HELP_PATH`
`static final float`
`DEFAULT_MAX_CONNECT_DISTANCE`
`static final float`
`DEFAULT_MIN_BOND_DISTANCE`
`static final float`
`DEFAULT_MIN_CONNECT_DISTANCE`
`static final int`
`DEFAULT_PERCENT_VDW_ATOM`
`static final float`
`DEFAULT_STRUT_RADIUS`
`static final String`
`defaultMacroDirectory`
`static final int`
`DNA_MASK`
`static final float`
`DRAW_DEFAULT_FONTSIZE`
`static final int`
`ECHO_BOTTOM`
`static final int`
`ECHO_MIDDLE`
`static final int`
`ECHO_TOP`
`static final int`
`ECHO_XY`
`static final int`
`ECHO_XYZ`
`static final String`
`EMBEDDED_SCRIPT_TAG`
`static final float`
`ENC_CALC_MAX_DIST`
`static final int`
`ENV_CALC_MAX_LEVEL`
`static final String`
`EXPORT_DRIVER_LIST`
`static final String`
`FILE_DATA`
`static final float`
`FLOAT_MIN_SAFE`
`static final int`
`FORMAL_CHARGE_COLIX_RED`
`static final int`
`GLOBAL_AROMATICBONDS`
`static final int`
`GLOBAL_CONECT`
`static final int`
`GLOBAL_DOMAINS`
`static final int`
`GLOBAL_FRACTCOORD`
`static final int`
`GLOBAL_ISPDB`
`static final int`
`GLOBAL_MODULATED`
`static final int`
`GLOBAL_SUPERCELL`
`static final int`
`GLOBAL_SYMMETRY`
`static final int`
`GLOBAL_UNITCELLS`
`static final int`
`GLOBAL_VALIDATIONS`
`static final String[]`
`globalBooleans`
`static final int`
`GROUPID_AMINO_MAX`
`static final int`
`GROUPID_ARGININE`
/////////////////////////////////////////////////////////////
`static final int`
`GROUPID_ASPARAGINE`
`static final int`
`GROUPID_ASPARTATE`
`static final int`
`GROUPID_CYSTEINE`
`static final int`
`GROUPID_GLUTAMATE`
`static final int`
`GROUPID_GLUTAMINE`
`static final int`
`GROUPID_HISTIDINE`
`static final int`
`GROUPID_LYSINE`
`static final int`
`GROUPID_NUCLEIC_MAX`
`static final int`
`GROUPID_PROLINE`
`static final int`
`GROUPID_SOLVENT_MIN`
`static final int`
`GROUPID_TRYPTOPHAN`
`static final int`
`GROUPID_WATER`
`static final String`
`IMAGE_OR_SCENE`
`static final String`
`IMAGE_TYPES`
`static final String`
`INFO_BIO_SYMMETRY`
`static final String`
`INFO_BIO_SYMMETRY_COUNT`
`static final String`
`INFO_FILE_SPACE_GROUP_NAME`
`static final String`
`INFO_FILE_SYMMETRY`
`static final String`
`INFO_HALL`
`static final String`
`INFO_HM`
`static final String`
`INFO_ITA`
`static final String`
`INFO_JDX_ATOM_SELECT`
`static final String`
`INFO_JDX_MODEL_SELECT`
`static final String`
`INFO_JMOL_DATA`
`static final String`
`INFO_JMOL_DATA_HEADER`
`static final String`
`INFO_JMOL_DATA_ORIGINATING_MODEL`
`static final String`
`INFO_JMOL_DATA_PROPERTIES`
`static final String`
`INFO_JMOL_DATA_SCALING`
`static final String`
`INFO_MODEL_NAME`
`static final String`
`INFO_OPS_CTR`
`static final String`
`INFO_SPACE_GROUP_ASSIGNED`
`static final String`
`INFO_SPACE_GROUP_F2C_TITLE`
`static final String`
`INFO_SPACE_GROUP_INDEX`
`static final String`
`INFO_SPACE_GROUP_INFO`
`static final String`
`INFO_SPACE_GROUP_NAME`
`static final String`
`INFO_SPACE_GROUP_NOTE`
`static final String`
`INFO_SPACE_GROUP_TITLE`
`static final String`
`INFO_START_JSPECVIEW`
`static final String`
`INFO_SYMMETRY_INFO`
`static final String`
`INFO_SYMMETRY_OPERATIONS`
`static final String`
`INFO_SYMOPS_TEMP`
`static final String`
`INFO_TRAJECTORY_STEPS`
`static final String`
`INFO_UNIT_CELL`
`static final String`
`INFO_UNIT_CELL_CONVENTIONAL`
`static final String`
`INFO_UNIT_CELL_OFFSET`
`static final String`
`INFO_UNIT_CELL_PARAMS`
`static final String`
`INFO_UNIT_CELL_RANGE`
used to set atom symmetry 555 556 etc.
`static final String`
`INFO_UNIT_CELLS`
`static final String`
`INFO_VIBRATION_STEPS`
`static final String`
`JMOL_MODEL_KIT`
`static final String`
`JPEG_EXTENSIONS`
`static final int`
`JSV_CLOSE`
`static final int`
`JSV_NOT`
`static final int`
`JSV_SELECT`
`static final int`
`JSV_SEND_C13SIMULATE`
`static final int`
`JSV_SEND_H1SIMULATE`
`static final int`
`JSV_SEND_JDXMOL`
`static final int`
`JSV_SETPEAKS`
`static final int`
`JSV_STRUCTURE`
`static final String`
`JSV_SYNC_KEYWORD_PREFIX`
`static final int`
`JSV_SYNC_KEYWORD_PREFIX_LENGTH`
`static final int`
`LABEL_DEFAULT_FONTSIZE`
`static int`
`LABEL_DEFAULT_OFFSET`
`static final int`
`LABEL_DEFAULT_X_OFFSET`
`static final int`
`LABEL_DEFAULT_Y_OFFSET`
`static final int`
`LABEL_EXPLICIT`
`static final int`
`LABEL_FLAGS`
`static final int`
`LABEL_MAXIMUM_FONTSIZE`
`static final int`
`LABEL_MINIMUM_FONTSIZE`
////////////// LABEL and ECHO ///////////////////////
`static final int`
`LABEL_OFFSET_MAX`
`static final int`
`LABEL_POINTER_BACKGROUND`
`static final int`
`LABEL_POINTER_NONE`
`static final int`
`LABEL_POINTER_ON`
`static final int`
`LABEL_ZPOS_FRONT`
`static final int`
`LABEL_ZPOS_GROUP`
`static final String`
`LOAD_ATOM_DATA_TYPES`
`static final String`
`LOAD_OPTION_FILL_RANGE`
`static final short`
`madMultipleBondSmallMaximum`
`static String`
`majorVersion`
`static final int`
`MAXIMUM_AUTO_BOND_COUNT`
`static final int`
`MEASURE_DEFAULT_FONTSIZE`
`static final float`
`MINIMIZE_FIXED_RANGE`
`static final String`
`MODELKIT_ADDCONSTRAINT`
`static final String`
`MODELKIT_ADDHYDROGEN`
`static final String`
`MODELKIT_ADDHYDROGENS`
`static final String`
`MODELKIT_ALLOPERATORS`
`static final String`
`MODELKIT_APPLYFULL`
`static final String`
`MODELKIT_APPLYLOCAL`
`static final String`
`MODELKIT_ASSIGN_BOND`
`static final String`
`MODELKIT_ATOMPICKINGMODE`
`static final String`
`MODELKIT_ATOMTYPE`
`static final String`
`MODELKIT_AUTOBOND`
`static final String`
`MODELKIT_BONDINDEX`
`static final String`
`MODELKIT_BONDPICKINGMODE`
`static final String`
`MODELKIT_BONDTYPE`
`static final String`
`MODELKIT_BRANCH_ATOM_DRAGGED`
`static final String`
`MODELKIT_BRANCH_ATOM_PICKED`
`static final String`
`MODELKIT_CENTER`
`static final String`
`MODELKIT_CLICKTOSETELEMENT`
`static final String`
`MODELKIT_CONSTRAINT`
`static final String`
`MODELKIT_DATA`
`static final String`
`MODELKIT_DELETE_BOND`
`static final String`
`MODELKIT_DISTANCE`
`static final String`
`MODELKIT_DRAGATOM`
`static final String`
`MODELKIT_ELEMENT_KEY`
`static final String`
`MODELKIT_ELEMENT_KEY_ID`
`static final String`
`MODELKIT_EXISTS`
`static final String`
`MODELKIT_FRAME_RESIZED`
`static final String`
`MODELKIT_HIDDEN`
`static final String`
`MODELKIT_HIDEMENU`
`static final String`
`MODELKIT_HIGHLIGHT`
`static final String`
`MODELKIT_HOVERLABEL`
`static final String`
`MODELKIT_INITIALIZE_MODEL`
`static final String`
`MODELKIT_INVARIANT`
`static final String`
`MODELKIT_ISMOLECULAR`
`static final String`
`MODELKIT_KEY`
`static final String`
`MODELKIT_LABEL_KEY`
`static final String`
`MODELKIT_MINIMIZING`
`static final String`
`MODELKIT_MODE`
`static final String`
`MODELKIT_MODEL_KEY`
`static final String`
`MODELKIT_NEW_MODEL_ATOM_KEYS`
`static final String`
`MODELKIT_OFFSET`
`static final String`
`MODELKIT_REMOVEALLCONSTRAINTS`
`static final String`
`MODELKIT_REMOVECONSTRAINT`
`static final String`
`MODELKIT_RESET`
`static final String`
`MODELKIT_RETAINLOCAL`
`static final String`
`MODELKIT_ROTATE_BOND_ATOM_INDEX`
`static final String`
`MODELKIT_ROTATEBONDINDEX`
`static final String`
`MODELKIT_SCREENXY`
`static final String`
`MODELKIT_SET_ELEMENT_KEY`
`static final String`
`MODELKIT_SET_LABEL_KEY`
`static final String`
`MODELKIT_SHOWSYMOPINFO`
`static final String`
`MODELKIT_SYMMETRY`
`static final String`
`MODELKIT_SYMOP`
`static final String`
`MODELKIT_UDPATE_KEY_STATE`
`static final String`
`MODELKIT_UNITCELL`
`static final String`
`MODELKIT_UPDATE_ATOM_KEYS`
`static final String`
`MODELKIT_UPDATE_MODEL_KEYS`
`static final String`
`MODELKIT_VIBRATION`
`static final String`
`MODELKIT_ZAP_STRING`
`static final String`
`MODELKIT_ZAP_TITLE`
`static final int`
`MOUSE_NONE`
`static final byte`
`MULTIBOND_ALWAYS`
`static final byte`
`MULTIBOND_NEVER`
`static final byte`
`MULTIBOND_NOTSMALL`
`static final byte`
`MULTIBOND_WIREFRAME`
`static final int`
`NBO_CONFIG`
`static final int`
`NBO_MODEL`
`static final int`
`NBO_RUN`
`static final int`
`NBO_SEARCH`
`static final String`
`NBO_TYPES`
`static final int`
`NBO_VIEW`
`static final String`
`NOTE_SCRIPT_FILE`
`static final boolean`
`officialRelease`
`static final int`
`PARTIAL_CHARGE_COLIX_RED`
`static final int`
`PARTIAL_CHARGE_RANGE_SIZE`
`static final String`
`PDB_ANNOTATIONS`
`static String[]`
`predefinedStatic`
`static String[]`
`predefinedVariable`
/////////////////////////////////////////////////////////////
`static final String`
`PROP_ATOMS_DELETED`
`static final String`
`PROP_ATOMS_LABELED`
`static final String`
`PROP_ATOMS_MOVED`
`static final String`
`PROP_DELETE_MODEL_ATOMS`
`static final String`
`PROP_JSPECVIEW`
`static final String`
`PROP_MODEL_TYPE`
`static final int`
`PURINE_MASK`
`static final int`
`PYRIMIDINE_MASK`
`static final double`
`radiansPerDegree`
`static String`
`READER_NOT_FOUND`
`static final String`
`REPAINT_IGNORE`
`static final int`
`RNA_MASK`
`static final String`
`scaleName`
`static final String`
`SCRIPT_COMPLETED`
`static final String`
`SCRIPT_CONSOLE`
`static final String`
`SCRIPT_EDITOR_IGNORE`
`static final String`
`SCRIPT_EXT`
`static final String`
`SCRIPT_GUI`
`static final String`
`SCRIPT_ISEDITOR`
`static final String`
`SCRIPT_NOENDCHECK`
`static final String`
`SCRIPT_QUIET`
`static final String`
`SCRIPT_START`
`static final String`
`SCRIPT_STEP`
`static final int`
`SG_AS_STRING`
`static final int`
`SG_CALC_ONLY`
`static final int`
`SG_CHECK_SUPERCELL`
`static final int`
`SG_FROM_SCRATCH`
`static final int`
`SG_IS_ASSIGN`
`static final int`
`SHAPE_AXES`
`static final int`
`SHAPE_BACKBONE`
///////
`static final int`
`SHAPE_BALLS`
/////////////////////////////////////////////////////////////
`static final int`
`SHAPE_BBCAGE`
`static final int`
`SHAPE_CARTOON`
`static final int`
`SHAPE_CGO`
///////
`static final int`
`SHAPE_CONTACT`
`static final int`
`SHAPE_DIPOLES`
`static final int`
`SHAPE_DOTS`
///////
`static final int`
`SHAPE_DRAW`
`static final int`
`SHAPE_ECHO`
///////
`static final int`
`SHAPE_ELLIPSOIDS`
`static final int`
`SHAPE_FRANK`
`static final int`
`SHAPE_GEOSURFACE`
`static final int`
`SHAPE_HALOS`
`static final int`
`SHAPE_HOVER`
`static final int`
`SHAPE_HSTICKS`
`static final int`
`SHAPE_ISOSURFACE`
///////
`static final int`
`SHAPE_LABELS`
`static final int`
`SHAPE_LCAOCARTOON`
`static final int`
`SHAPE_MAX`
`static final int`
`SHAPE_MAX_HAS_ID`
`static final int`
`SHAPE_MAX_HAS_SETVIS`
`static final int`
`SHAPE_MAX_MESH_COLLECTION`
///////
`static final int`
`SHAPE_MAX_SECONDARY`
`static final int`
`SHAPE_MAX_SIZE_ZERO_ON_RESTRICT`
`static final int`
`SHAPE_MAX_SPECIAL`
`static final int`
`SHAPE_MAX_SURFACE`
`static final int`
`SHAPE_MEASURES`
`static final int`
`SHAPE_MESHRIBBON`
`static final int`
`SHAPE_MIN_HAS_ID`
///////
`static final int`
`SHAPE_MIN_HAS_SETVIS`
`static final int`
`SHAPE_MIN_SECONDARY`
`static final int`
`SHAPE_MIN_SPECIAL`
///////
`static final int`
`SHAPE_MIN_SURFACE`
`static final int`
`SHAPE_MO`
`static final int`
`SHAPE_NBO`
`static final int`
`SHAPE_PLOT3D`
`static final int`
`SHAPE_PMESH`
`static final int`
`SHAPE_POLYHEDRA`
///////
`static final int`
`SHAPE_RIBBONS`
`static final int`
`SHAPE_ROCKETS`
`static final int`
`SHAPE_SSSTICKS`
`static final int`
`SHAPE_STARS`
`static final int`
`SHAPE_STICKS`
`static final int`
`SHAPE_STRANDS`
`static final int`
`SHAPE_STRUTS`
`static final int`
`SHAPE_TRACE`
`static final int`
`SHAPE_UCCAGE`
`static final int`
`SHAPE_VECTORS`
`static final String[]`
`shapeClassBases`
`static final int`
`SMILES_2D`
`static final int`
`SMILES_AROMATIC_DEFINED`
AROMATIC_DEFINED draws all aromatic bonds from connection definitions It is deprecated, because a=a will set it by itself.
`static final int`
`SMILES_AROMATIC_DOUBLE`
AROMATIC_DOUBLE allows a distinction between single and double, as for example is necessary to distinguish between n=cNH2 and ncNH2 (necessary for MMFF94 atom typing)
`static final int`
`SMILES_AROMATIC_MMFF94`
AROMATIC_MMFF94 also raises the strictness level to force all 6- and 7-membered rings to have exactly three double bonds.
`static final int`
`SMILES_AROMATIC_PLANAR`
AROMATIC_PLANAR only invokes planarity (Jmol default through 14.5)
`static final int`
`SMILES_AROMATIC_STRICT`
AROMATIC_STRICT enforces Hueckel 4+2 rule, not allowing acyclic double bonds
`static final int`
`SMILES_FIRST_MATCH_ONLY`
`static final int`
`SMILES_GEN_ALL_COMPONENTS`
`static final int`
`SMILES_GEN_ATOM_COMMENT`
`static final int`
`SMILES_GEN_BIO`
`static final int`
`SMILES_GEN_BIO_ALLOW_UNMATCHED_RINGS`
`static final int`
`SMILES_GEN_BIO_COMMENT`
`static final int`
`SMILES_GEN_BIO_COV_CROSSLINK`
`static final int`
`SMILES_GEN_BIO_HH_CROSSLINK`
`static final int`
`SMILES_GEN_BIO_NOCOMMENTS`
`static final int`
`SMILES_GEN_EXPLICIT_H_ALL`
`static final int`
`SMILES_GEN_EXPLICIT_H2_ONLY`
`static final int`
`SMILES_GEN_NO_BRANCHES`
`static final int`
`SMILES_GEN_POLYHEDRAL`
`static final int`
`SMILES_GEN_TOPOLOGY`
`static final int`
`SMILES_GROUP_BY_MODEL`
`static final int`
`SMILES_IGNORE_ATOM_CLASS`
`static final int`
`SMILES_IGNORE_STEREOCHEMISTRY`
`static final int`
`SMILES_INVERT_STEREOCHEMISTRY`
`static final int`
`SMILES_MAP_UNIQUE`
`static final int`
`SMILES_NO_AROMATIC`
`static final int`
`SMILES_TYPE_OPENSMARTS`
`static final int`
`SMILES_TYPE_OPENSMILES`
`static final int`
`SMILES_TYPE_SMARTS`
`static final int`
`SMILES_TYPE_SMILES`
`static final String`
`SPACE_GROUP_LIST_BCS`
`static final String`
`SPIN_FRAME_ROTATION_MATRIX`
`static final String`
`SPIN_ROTATION_AXIS_ANGLE_APPLIED`
`static final String`
`SPIN_ROTATION_MATRIX_APPLIED`
`static final String`
`SSG_POINT_GROUP_AXES`
`static final String`
`STATE_VERSION_STAMP`
`static final int`
`TEXT_ALIGN_CENTER`
`static final int`
`TEXT_ALIGN_LEFT`
`static final int`
`TEXT_ALIGN_NONE`
`static final int`
`TEXT_ALIGN_RIGHT`
`static final String`
`THIS_MODEL_ONLY`
specifically for ECHO and DRAW to have these specific for a given model and only appearing when there is only one model showing (see MODELKIT SET KEY ON)
`static final String`
`UC_MOREINFO`
`static final float`
`UC_TOLERANCE2`
used to compare two atom *fractional* positions in order to see if they are at the same position.
`static final V3[]`
`unitAxisVectors`
`static final String`
`UNITCELL_PREFIX`
`static final int`
`UNITID_ATOM`
`static final int`
`UNITID_INSCODE`
`static final int`
`UNITID_MODEL`
`static final int`
`UNITID_RESIDUE`
`static final int`
`UNITID_TRIM`
`static final String`
`version`
`static final int`
`versionInt`
`static final int`
`VIS_BACKBONE_FLAG`
`static final int`
`VIS_BALLS_FLAG`
`static final int`
`VIS_BOND_FLAG`
`static final int`
`VIS_CARTOON_FLAG`
`static final int`
`VIS_LABEL_FLAG`
`static final int`
`XY_ZTOP`
`static final String`
`ZAP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`JC()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`embedScript(String s)`
`static int`
`getAlignment(int offset)`
`static String`
`getBoolName(int g)`
`static int`
`getCIPChiralityCode(char c)`
`static String`
`getCIPChiralityName(int flags)`
`static String`
`getCIPRuleName(int i)`
`static String`
`getEchoName(int type)`
`static String`
`getHorizAlignmentName(int align)`
`static String`
`getMenuScript(String type)`
`static int`
`getNBOTypeFromName(String nboType)`
`static int`
`getOffset(int xOffset, int yOffset, boolean isAbsolute)`
Construct an 32-bit integer packed with 10-byte x and y offsets (-500 to 500) along with flags to indicate if exact and, if not, a flag to indicate that the 0 in x or y indicates "centered".
`static int`
`getPointer(int offset)`
`static String`
`getPointerName(int pointer)`
`static int`
`getServiceCommand(String script)`
`static final String`
`getShapeClassName(int shapeID, boolean isRenderer)`
`static final int`
`getShapeVisibilityFlag(int shapeID)`
`static int`
`getUnitIDFlags(String type)`
Get a unitID type
`static int`
`getXOffset(int offset)`
X offset in pixels.
`static int`
`getYOffset(int offset)`
Y offset in pixels; negative of this is the actual screen offset
`static boolean`
`isLikelyPDB(String type)`
`static boolean`
`isOffsetAbsolute(int offset)`
`static boolean`
`isSmilesCanonical(String options)`
`static boolean`
`isSpaceGroupInfoKey(String key)`
When UNITCELL NONE is given, clear out all space group and unit cell keys from model info.
`static String`
`resolveDataBase(String database, String id, String format)`
`static int`
`setHorizAlignment(int offset, int hAlign)`
`static int`
`setPointer(int offset, int pointer)`
`static int`
`setZPosition(int offset, int pos)`
`static final int`
`shapeTokenIndex(int tok)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AXIS_A

public static final int AXIS_A

See Also:
  - Constant Field Values

### axisLabels

public static final String[] axisLabels

### axesTypes

public static final String[] axesTypes

### NBO_TYPES

public static final String NBO_TYPES

See Also:
  - Constant Field Values

### CIP_CHIRALITY_UNKNOWN

public static final int CIP_CHIRALITY_UNKNOWN

See Also:
  - Constant Field Values

### CIP_CHIRALITY_R_FLAG

public static final int CIP_CHIRALITY_R_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_S_FLAG

public static final int CIP_CHIRALITY_S_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_CANTDETERMINE

public static final int CIP_CHIRALITY_CANTDETERMINE

See Also:
  - Constant Field Values

### CIP_CHIRALITY_NONE

public static final int CIP_CHIRALITY_NONE

See Also:
  - Constant Field Values

### CIP_CHIRALITY_EZ_FLAG

public static final int CIP_CHIRALITY_EZ_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_PSEUDO_FLAG

public static final int CIP_CHIRALITY_PSEUDO_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_AXIAL_FLAG

public static final int CIP_CHIRALITY_AXIAL_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_NAME_MASK

public static final int CIP_CHIRALITY_NAME_MASK

See Also:
  - Constant Field Values

### CIP_CHIRALITY_NAME_OFFSET

public static final int CIP_CHIRALITY_NAME_OFFSET

See Also:
  - Constant Field Values

### CIP_CHIRALITY_seqCis_FLAG

public static final int CIP_CHIRALITY_seqCis_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_seqTrans_FLAG

public static final int CIP_CHIRALITY_seqTrans_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_seqcis_FLAG

public static final int CIP_CHIRALITY_seqcis_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_seqtrans_FLAG

public static final int CIP_CHIRALITY_seqtrans_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_M_FLAG

public static final int CIP_CHIRALITY_M_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_P_FLAG

public static final int CIP_CHIRALITY_P_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_r_FLAG

public static final int CIP_CHIRALITY_r_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_s_FLAG

public static final int CIP_CHIRALITY_s_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_m_FLAG

public static final int CIP_CHIRALITY_m_FLAG

See Also:
  - Constant Field Values

### CIP_CHIRALITY_p_FLAG

public static final int CIP_CHIRALITY_p_FLAG

See Also:
  - Constant Field Values

### PDB_ANNOTATIONS

public static final String PDB_ANNOTATIONS

See Also:
  - Constant Field Values

### CACTUS_FILE_TYPES

public static final String CACTUS_FILE_TYPES

See Also:
  - Constant Field Values

### defaultMacroDirectory

public static final String defaultMacroDirectory

See Also:
  - Constant Field Values

### SPACE_GROUP_LIST_BCS

public static final String SPACE_GROUP_LIST_BCS

See Also:
  - Constant Field Values

### copyright

public static final String copyright

See Also:
  - Constant Field Values

### version

public static final String version

### majorVersion

public static String majorVersion

### date

public static final String date

### versionInt

public static final int versionInt

### officialRelease

public static final boolean officialRelease

See Also:
  - Constant Field Values

### DEFAULT_HELP_PATH

public static final String DEFAULT_HELP_PATH

See Also:
  - Constant Field Values

### STATE_VERSION_STAMP

public static final String STATE_VERSION_STAMP

See Also:
  - Constant Field Values

### EMBEDDED_SCRIPT_TAG

public static final String EMBEDDED_SCRIPT_TAG

See Also:
  - Constant Field Values

### NOTE_SCRIPT_FILE

public static final String NOTE_SCRIPT_FILE

See Also:
  - Constant Field Values

### SCRIPT_EXT

public static final String SCRIPT_EXT

See Also:
  - Constant Field Values

### SCRIPT_GUI

public static final String SCRIPT_GUI

See Also:
  - Constant Field Values

### SCRIPT_QUIET

public static final String SCRIPT_QUIET

See Also:
  - Constant Field Values

### SCRIPT_STEP

public static final String SCRIPT_STEP

See Also:
  - Constant Field Values

### SCRIPT_START

public static final String SCRIPT_START

See Also:
  - Constant Field Values

### SCRIPT_NOENDCHECK

public static final String SCRIPT_NOENDCHECK

See Also:
  - Constant Field Values

### SCRIPT_ISEDITOR

public static final String SCRIPT_ISEDITOR

See Also:
  - Constant Field Values

### SCRIPT_EDITOR_IGNORE

public static final String SCRIPT_EDITOR_IGNORE

See Also:
  - Constant Field Values

### SCRIPT_CONSOLE

public static final String SCRIPT_CONSOLE

See Also:
  - Constant Field Values

### REPAINT_IGNORE

public static final String REPAINT_IGNORE

See Also:
  - Constant Field Values

### SG_AS_STRING

public static final int SG_AS_STRING

See Also:
  - Constant Field Values

### SG_IS_ASSIGN

public static final int SG_IS_ASSIGN

See Also:
  - Constant Field Values

### SG_FROM_SCRATCH

public static final int SG_FROM_SCRATCH

See Also:
  - Constant Field Values

### SG_CHECK_SUPERCELL

public static final int SG_CHECK_SUPERCELL

See Also:
  - Constant Field Values

### SG_CALC_ONLY

public static final int SG_CALC_ONLY

See Also:
  - Constant Field Values

### LOAD_ATOM_DATA_TYPES

public static final String LOAD_ATOM_DATA_TYPES

See Also:
  - Constant Field Values

### radiansPerDegree

public static final double radiansPerDegree

See Also:
  - Constant Field Values

### allowedQuaternionFrames

public static final String allowedQuaternionFrames

See Also:
  - Constant Field Values

### EXPORT_DRIVER_LIST

public static final String EXPORT_DRIVER_LIST

See Also:
  - Constant Field Values

### center

public static final V3 center

### axisX

public static final V3 axisX

### axisY

public static final V3 axisY

### axisZ

public static final V3 axisZ

### axisNX

public static final V3 axisNX

### axisNY

public static final V3 axisNY

### axisNZ

public static final V3 axisNZ

### unitAxisVectors

public static final V3[] unitAxisVectors

### XY_ZTOP

public static final int XY_ZTOP

See Also:
  - Constant Field Values

### DEFAULT_PERCENT_VDW_ATOM

public static final int DEFAULT_PERCENT_VDW_ATOM

See Also:
  - Constant Field Values

### DEFAULT_BOND_RADIUS

public static final float DEFAULT_BOND_RADIUS

See Also:
  - Constant Field Values

### DEFAULT_BOND_MILLIANGSTROM_RADIUS

public static final short DEFAULT_BOND_MILLIANGSTROM_RADIUS

See Also:
  - Constant Field Values

### DEFAULT_STRUT_RADIUS

public static final float DEFAULT_STRUT_RADIUS

See Also:
  - Constant Field Values

### DEFAULT_BOND_TOLERANCE

public static final float DEFAULT_BOND_TOLERANCE

See Also:
  - Constant Field Values

### DEFAULT_MIN_BOND_DISTANCE

public static final float DEFAULT_MIN_BOND_DISTANCE

See Also:
  - Constant Field Values

### DEFAULT_MAX_CONNECT_DISTANCE

public static final float DEFAULT_MAX_CONNECT_DISTANCE

See Also:
  - Constant Field Values

### DEFAULT_MIN_CONNECT_DISTANCE

public static final float DEFAULT_MIN_CONNECT_DISTANCE

See Also:
  - Constant Field Values

### MINIMIZE_FIXED_RANGE

public static final float MINIMIZE_FIXED_RANGE

See Also:
  - Constant Field Values

### ENC_CALC_MAX_DIST

public static final float ENC_CALC_MAX_DIST

See Also:
  - Constant Field Values

### ENV_CALC_MAX_LEVEL

public static final int ENV_CALC_MAX_LEVEL

See Also:
  - Constant Field Values

### MOUSE_NONE

public static final int MOUSE_NONE

See Also:
  - Constant Field Values

### MULTIBOND_NEVER

public static final byte MULTIBOND_NEVER

See Also:
  - Constant Field Values

### MULTIBOND_WIREFRAME

public static final byte MULTIBOND_WIREFRAME

See Also:
  - Constant Field Values

### MULTIBOND_NOTSMALL

public static final byte MULTIBOND_NOTSMALL

See Also:
  - Constant Field Values

### MULTIBOND_ALWAYS

public static final byte MULTIBOND_ALWAYS

See Also:
  - Constant Field Values

### MAXIMUM_AUTO_BOND_COUNT

public static final int MAXIMUM_AUTO_BOND_COUNT

See Also:
  - Constant Field Values

### madMultipleBondSmallMaximum

public static final short madMultipleBondSmallMaximum

See Also:
  - Constant Field Values

### ANGSTROMS_PER_BOHR

public static final float ANGSTROMS_PER_BOHR

See Also:
  - Constant Field Values

### COLOR_CONTRAST

public static final int COLOR_CONTRAST

See Also:
  - Constant Field Values

### altArgbsCpk

public static final int[] altArgbsCpk

### FORMAL_CHARGE_COLIX_RED

public static final int FORMAL_CHARGE_COLIX_RED

### argbsFormalCharge

public static final int[] argbsFormalCharge

### PARTIAL_CHARGE_COLIX_RED

public static final int PARTIAL_CHARGE_COLIX_RED

### argbsRwbScale

public static final int[] argbsRwbScale

### PARTIAL_CHARGE_RANGE_SIZE

public static final int PARTIAL_CHARGE_RANGE_SIZE

### argbsRoygbScale

public static final int[] argbsRoygbScale

### argbsIsosurfacePositive

public static final int argbsIsosurfacePositive

See Also:
  - Constant Field Values

### argbsIsosurfaceNegative

public static final int argbsIsosurfaceNegative

See Also:
  - Constant Field Values

### ATOMID_AMINO_NITROGEN

public static final byte ATOMID_AMINO_NITROGEN
/////////////////////////////////////////////////////////////

See Also:
  - Constant Field Values

### ATOMID_ALPHA_CARBON

public static final byte ATOMID_ALPHA_CARBON

See Also:
  - Constant Field Values

### ATOMID_CARBONYL_CARBON

public static final byte ATOMID_CARBONYL_CARBON

See Also:
  - Constant Field Values

### ATOMID_CARBONYL_OXYGEN

public static final byte ATOMID_CARBONYL_OXYGEN

See Also:
  - Constant Field Values

### ATOMID_O1

public static final byte ATOMID_O1

See Also:
  - Constant Field Values

### ATOMID_ALPHA_ONLY_MASK

public static final int ATOMID_ALPHA_ONLY_MASK

See Also:
  - Constant Field Values

### ATOMID_PROTEIN_MASK

public static final int ATOMID_PROTEIN_MASK

See Also:
  - Constant Field Values

### ATOMID_O5_PRIME

public static final byte ATOMID_O5_PRIME

See Also:
  - Constant Field Values

### ATOMID_C5_PRIME

public static final byte ATOMID_C5_PRIME

See Also:
  - Constant Field Values

### ATOMID_C4_PRIME

public static final byte ATOMID_C4_PRIME

See Also:
  - Constant Field Values

### ATOMID_C3_PRIME

public static final byte ATOMID_C3_PRIME

See Also:
  - Constant Field Values

### ATOMID_O3_PRIME

public static final byte ATOMID_O3_PRIME

See Also:
  - Constant Field Values

### ATOMID_C2_PRIME

public static final byte ATOMID_C2_PRIME

See Also:
  - Constant Field Values

### ATOMID_C1_PRIME

public static final byte ATOMID_C1_PRIME

See Also:
  - Constant Field Values

### ATOMID_O4_PRIME

public static final byte ATOMID_O4_PRIME

See Also:
  - Constant Field Values

### ATOMID_NUCLEIC_MASK

public static final int ATOMID_NUCLEIC_MASK

See Also:
  - Constant Field Values

### ATOMID_NUCLEIC_PHOSPHORUS

public static final byte ATOMID_NUCLEIC_PHOSPHORUS

See Also:
  - Constant Field Values

### ATOMID_PHOSPHORUS_ONLY_MASK

public static final int ATOMID_PHOSPHORUS_ONLY_MASK

See Also:
  - Constant Field Values

### ATOMID_DISTINGUISHING_ATOM_MAX

public static final int ATOMID_DISTINGUISHING_ATOM_MAX

See Also:
  - Constant Field Values

### ATOMID_CARBONYL_OD1

public static final byte ATOMID_CARBONYL_OD1

See Also:
  - Constant Field Values

### ATOMID_CARBONYL_OD2

public static final byte ATOMID_CARBONYL_OD2

See Also:
  - Constant Field Values

### ATOMID_CARBONYL_OE1

public static final byte ATOMID_CARBONYL_OE1

See Also:
  - Constant Field Values

### ATOMID_CARBONYL_OE2

public static final byte ATOMID_CARBONYL_OE2

See Also:
  - Constant Field Values

### ATOMID_N1

public static final byte ATOMID_N1

See Also:
  - Constant Field Values

### ATOMID_C2

public static final byte ATOMID_C2

See Also:
  - Constant Field Values

### ATOMID_N3

public static final byte ATOMID_N3

See Also:
  - Constant Field Values

### ATOMID_C4

public static final byte ATOMID_C4

See Also:
  - Constant Field Values

### ATOMID_C5

public static final byte ATOMID_C5

See Also:
  - Constant Field Values

### ATOMID_C6

public static final byte ATOMID_C6

See Also:
  - Constant Field Values

### ATOMID_O2

public static final byte ATOMID_O2

See Also:
  - Constant Field Values

### ATOMID_N7

public static final byte ATOMID_N7

See Also:
  - Constant Field Values

### ATOMID_C8

public static final byte ATOMID_C8

See Also:
  - Constant Field Values

### ATOMID_N9

public static final byte ATOMID_N9

See Also:
  - Constant Field Values

### ATOMID_N4

public static final byte ATOMID_N4

See Also:
  - Constant Field Values

### ATOMID_N2

public static final byte ATOMID_N2

See Also:
  - Constant Field Values

### ATOMID_N6

public static final byte ATOMID_N6

See Also:
  - Constant Field Values

### ATOMID_C5M

public static final byte ATOMID_C5M

See Also:
  - Constant Field Values

### ATOMID_O6

public static final byte ATOMID_O6

See Also:
  - Constant Field Values

### ATOMID_O4

public static final byte ATOMID_O4

See Also:
  - Constant Field Values

### ATOMID_S4

public static final byte ATOMID_S4

See Also:
  - Constant Field Values

### ATOMID_C7

public static final byte ATOMID_C7

See Also:
  - Constant Field Values

### ATOMID_TERMINATING_OXT

public static final byte ATOMID_TERMINATING_OXT

See Also:
  - Constant Field Values

### ATOMID_H5T_TERMINUS

public static final byte ATOMID_H5T_TERMINUS

See Also:
  - Constant Field Values

### ATOMID_O5T_TERMINUS

public static final byte ATOMID_O5T_TERMINUS

See Also:
  - Constant Field Values

### ATOMID_O1P

public static final byte ATOMID_O1P

See Also:
  - Constant Field Values

### ATOMID_OP1

public static final byte ATOMID_OP1

See Also:
  - Constant Field Values

### ATOMID_O2P

public static final byte ATOMID_O2P

See Also:
  - Constant Field Values

### ATOMID_OP2

public static final byte ATOMID_OP2

See Also:
  - Constant Field Values

### ATOMID_O2_PRIME

public static final byte ATOMID_O2_PRIME

See Also:
  - Constant Field Values

### ATOMID_H3T_TERMINUS

public static final byte ATOMID_H3T_TERMINUS

See Also:
  - Constant Field Values

### ATOMID_HO3_PRIME

public static final byte ATOMID_HO3_PRIME

See Also:
  - Constant Field Values

### ATOMID_HO5_PRIME

public static final byte ATOMID_HO5_PRIME

See Also:
  - Constant Field Values

### PURINE_MASK

public static final int PURINE_MASK

See Also:
  - Constant Field Values

### PYRIMIDINE_MASK

public static final int PYRIMIDINE_MASK

See Also:
  - Constant Field Values

### DNA_MASK

public static final int DNA_MASK

See Also:
  - Constant Field Values

### RNA_MASK

public static final int RNA_MASK

See Also:
  - Constant Field Values

### GROUPID_ARGININE

public static final int GROUPID_ARGININE
/////////////////////////////////////////////////////////////

See Also:
  - Constant Field Values

### GROUPID_ASPARAGINE

public static final int GROUPID_ASPARAGINE

See Also:
  - Constant Field Values

### GROUPID_ASPARTATE

public static final int GROUPID_ASPARTATE

See Also:
  - Constant Field Values

### GROUPID_CYSTEINE

public static final int GROUPID_CYSTEINE

See Also:
  - Constant Field Values

### GROUPID_GLUTAMINE

public static final int GROUPID_GLUTAMINE

See Also:
  - Constant Field Values

### GROUPID_GLUTAMATE

public static final int GROUPID_GLUTAMATE

See Also:
  - Constant Field Values

### GROUPID_HISTIDINE

public static final int GROUPID_HISTIDINE

See Also:
  - Constant Field Values

### GROUPID_LYSINE

public static final int GROUPID_LYSINE

See Also:
  - Constant Field Values

### GROUPID_PROLINE

public static final int GROUPID_PROLINE

See Also:
  - Constant Field Values

### GROUPID_TRYPTOPHAN

public static final int GROUPID_TRYPTOPHAN

See Also:
  - Constant Field Values

### GROUPID_AMINO_MAX

public static final int GROUPID_AMINO_MAX

See Also:
  - Constant Field Values

### GROUPID_NUCLEIC_MAX

public static final int GROUPID_NUCLEIC_MAX

See Also:
  - Constant Field Values

### GROUPID_WATER

public static final int GROUPID_WATER

See Also:
  - Constant Field Values

### GROUPID_SOLVENT_MIN

public static final int GROUPID_SOLVENT_MIN

See Also:
  - Constant Field Values

### predefinedVariable

public static String[] predefinedVariable
/////////////////////////////////////////////////////////////

### predefinedStatic

public static String[] predefinedStatic

### THIS_MODEL_ONLY

public static final String THIS_MODEL_ONLY
specifically for ECHO and DRAW to have these specific for a given model and only appearing when there is only one model showing (see MODELKIT SET KEY ON)

See Also:
  - Constant Field Values

### MODELKIT_ELEMENT_KEY_ID

public static final String MODELKIT_ELEMENT_KEY_ID

See Also:
  - Constant Field Values

### MODELKIT_SET_LABEL_KEY

public static final String MODELKIT_SET_LABEL_KEY

See Also:
  - Constant Field Values

### MODELKIT_SET_ELEMENT_KEY

public static final String MODELKIT_SET_ELEMENT_KEY

See Also:
  - Constant Field Values

### MODELKIT_KEY

public static final String MODELKIT_KEY

See Also:
  - Constant Field Values

### MODELKIT_MODEL_KEY

public static final String MODELKIT_MODEL_KEY

See Also:
  - Constant Field Values

### MODELKIT_ELEMENT_KEY

public static final String MODELKIT_ELEMENT_KEY

See Also:
  - Constant Field Values

### MODELKIT_LABEL_KEY

public static final String MODELKIT_LABEL_KEY

See Also:
  - Constant Field Values

### MODELKIT_NEW_MODEL_ATOM_KEYS

public static final String MODELKIT_NEW_MODEL_ATOM_KEYS

See Also:
  - Constant Field Values

### MODELKIT_FRAME_RESIZED

public static final String MODELKIT_FRAME_RESIZED

See Also:
  - Constant Field Values

### MODELKIT_UDPATE_KEY_STATE

public static final String MODELKIT_UDPATE_KEY_STATE

See Also:
  - Constant Field Values

### MODELKIT_UPDATE_MODEL_KEYS

public static final String MODELKIT_UPDATE_MODEL_KEYS

See Also:
  - Constant Field Values

### MODELKIT_UPDATE_ATOM_KEYS

public static final String MODELKIT_UPDATE_ATOM_KEYS

See Also:
  - Constant Field Values

### MODELKIT_ASSIGN_BOND

public static final String MODELKIT_ASSIGN_BOND

See Also:
  - Constant Field Values

### MODELKIT_ROTATE_BOND_ATOM_INDEX

public static final String MODELKIT_ROTATE_BOND_ATOM_INDEX

See Also:
  - Constant Field Values

### MODELKIT_BRANCH_ATOM_PICKED

public static final String MODELKIT_BRANCH_ATOM_PICKED

See Also:
  - Constant Field Values

### MODELKIT_BRANCH_ATOM_DRAGGED

public static final String MODELKIT_BRANCH_ATOM_DRAGGED

See Also:
  - Constant Field Values

### MODELKIT_CENTER

public static final String MODELKIT_CENTER

See Also:
  - Constant Field Values

### MODELKIT_HIDEMENU

public static final String MODELKIT_HIDEMENU

See Also:
  - Constant Field Values

### MODELKIT_CONSTRAINT

public static final String MODELKIT_CONSTRAINT

See Also:
  - Constant Field Values

### MODELKIT_EXISTS

public static final String MODELKIT_EXISTS

See Also:
  - Constant Field Values

### MODELKIT_ISMOLECULAR

public static final String MODELKIT_ISMOLECULAR

See Also:
  - Constant Field Values

### MODELKIT_ALLOPERATORS

public static final String MODELKIT_ALLOPERATORS

See Also:
  - Constant Field Values

### MODELKIT_DATA

public static final String MODELKIT_DATA

See Also:
  - Constant Field Values

### MODELKIT_MINIMIZING

public static final String MODELKIT_MINIMIZING

See Also:
  - Constant Field Values

### MODELKIT_RESET

public static final String MODELKIT_RESET

See Also:
  - Constant Field Values

### MODELKIT_ATOMPICKINGMODE

public static final String MODELKIT_ATOMPICKINGMODE

See Also:
  - Constant Field Values

### MODELKIT_BONDPICKINGMODE

public static final String MODELKIT_BONDPICKINGMODE

See Also:
  - Constant Field Values

### MODELKIT_HIGHLIGHT

public static final String MODELKIT_HIGHLIGHT

See Also:
  - Constant Field Values

### MODELKIT_MODE

public static final String MODELKIT_MODE

See Also:
  - Constant Field Values

### MODELKIT_APPLYLOCAL

public static final String MODELKIT_APPLYLOCAL

See Also:
  - Constant Field Values

### MODELKIT_RETAINLOCAL

public static final String MODELKIT_RETAINLOCAL

See Also:
  - Constant Field Values

### MODELKIT_APPLYFULL

public static final String MODELKIT_APPLYFULL

See Also:
  - Constant Field Values

### MODELKIT_UNITCELL

public static final String MODELKIT_UNITCELL

See Also:
  - Constant Field Values

### MODELKIT_ADDHYDROGEN

public static final String MODELKIT_ADDHYDROGEN

See Also:
  - Constant Field Values

### MODELKIT_ADDHYDROGENS

public static final String MODELKIT_ADDHYDROGENS

See Also:
  - Constant Field Values

### MODELKIT_AUTOBOND

public static final String MODELKIT_AUTOBOND

See Also:
  - Constant Field Values

### MODELKIT_CLICKTOSETELEMENT

public static final String MODELKIT_CLICKTOSETELEMENT

See Also:
  - Constant Field Values

### MODELKIT_HIDDEN

public static final String MODELKIT_HIDDEN

See Also:
  - Constant Field Values

### MODELKIT_SHOWSYMOPINFO

public static final String MODELKIT_SHOWSYMOPINFO

See Also:
  - Constant Field Values

### MODELKIT_SYMOP

public static final String MODELKIT_SYMOP

See Also:
  - Constant Field Values

### MODELKIT_SYMMETRY

public static final String MODELKIT_SYMMETRY

See Also:
  - Constant Field Values

### MODELKIT_HOVERLABEL

public static final String MODELKIT_HOVERLABEL

See Also:
  - Constant Field Values

### MODELKIT_ATOMTYPE

public static final String MODELKIT_ATOMTYPE

See Also:
  - Constant Field Values

### MODELKIT_BONDTYPE

public static final String MODELKIT_BONDTYPE

See Also:
  - Constant Field Values

### MODELKIT_BONDINDEX

public static final String MODELKIT_BONDINDEX

See Also:
  - Constant Field Values

### MODELKIT_ROTATEBONDINDEX

public static final String MODELKIT_ROTATEBONDINDEX

See Also:
  - Constant Field Values

### MODELKIT_OFFSET

public static final String MODELKIT_OFFSET

See Also:
  - Constant Field Values

### MODELKIT_SCREENXY

public static final String MODELKIT_SCREENXY

See Also:
  - Constant Field Values

### MODELKIT_INVARIANT

public static final String MODELKIT_INVARIANT

See Also:
  - Constant Field Values

### MODELKIT_DISTANCE

public static final String MODELKIT_DISTANCE

See Also:
  - Constant Field Values

### MODELKIT_ADDCONSTRAINT

public static final String MODELKIT_ADDCONSTRAINT

See Also:
  - Constant Field Values

### MODELKIT_REMOVECONSTRAINT

public static final String MODELKIT_REMOVECONSTRAINT

See Also:
  - Constant Field Values

### MODELKIT_REMOVEALLCONSTRAINTS

public static final String MODELKIT_REMOVEALLCONSTRAINTS

See Also:
  - Constant Field Values

### MODELKIT_VIBRATION

public static final String MODELKIT_VIBRATION

See Also:
  - Constant Field Values

### MODELKIT_INITIALIZE_MODEL

public static final String MODELKIT_INITIALIZE_MODEL

See Also:
  - Constant Field Values

### MODELKIT_DRAGATOM

public static final String MODELKIT_DRAGATOM

See Also:
  - Constant Field Values

### MODELKIT_DELETE_BOND

public static final String MODELKIT_DELETE_BOND

See Also:
  - Constant Field Values

### MODELKIT_ZAP_STRING

public static final String MODELKIT_ZAP_STRING

See Also:
  - Constant Field Values

### MODELKIT_ZAP_TITLE

public static final String MODELKIT_ZAP_TITLE

See Also:
  - Constant Field Values

### ZAP_TITLE

public static final String ZAP_TITLE

See Also:
  - Constant Field Values

### ADD_HYDROGEN_TITLE

public static final String ADD_HYDROGEN_TITLE

See Also:
  - Constant Field Values

### JMOL_MODEL_KIT

public static final String JMOL_MODEL_KIT

See Also:
  - Constant Field Values

### DEFAULT_FONTFACE

public static final String DEFAULT_FONTFACE
/////////////////////////////////////////////////////////////

See Also:
  - Constant Field Values

### DEFAULT_FONTSTYLE

public static final String DEFAULT_FONTSTYLE

See Also:
  - Constant Field Values

### MEASURE_DEFAULT_FONTSIZE

public static final int MEASURE_DEFAULT_FONTSIZE

See Also:
  - Constant Field Values

### AXES_DEFAULT_FONTSIZE

public static final int AXES_DEFAULT_FONTSIZE

See Also:
  - Constant Field Values

### DRAW_DEFAULT_FONTSIZE

public static final float DRAW_DEFAULT_FONTSIZE

See Also:
  - Constant Field Values

### SHAPE_BALLS

public static final int SHAPE_BALLS
/////////////////////////////////////////////////////////////

See Also:
  - Constant Field Values

### SHAPE_STICKS

public static final int SHAPE_STICKS

See Also:
  - Constant Field Values

### SHAPE_HSTICKS

public static final int SHAPE_HSTICKS

See Also:
  - Constant Field Values

### SHAPE_SSSTICKS

public static final int SHAPE_SSSTICKS

See Also:
  - Constant Field Values

### SHAPE_STRUTS

public static final int SHAPE_STRUTS

See Also:
  - Constant Field Values

### SHAPE_LABELS

public static final int SHAPE_LABELS

See Also:
  - Constant Field Values

### SHAPE_MEASURES

public static final int SHAPE_MEASURES

See Also:
  - Constant Field Values

### SHAPE_STARS

public static final int SHAPE_STARS

See Also:
  - Constant Field Values

### SHAPE_MIN_HAS_SETVIS

public static final int SHAPE_MIN_HAS_SETVIS

See Also:
  - Constant Field Values

### SHAPE_HALOS

public static final int SHAPE_HALOS

See Also:
  - Constant Field Values

### SHAPE_MIN_SECONDARY

public static final int SHAPE_MIN_SECONDARY

See Also:
  - Constant Field Values

### SHAPE_BACKBONE

public static final int SHAPE_BACKBONE
///////

See Also:
  - Constant Field Values

### SHAPE_TRACE

public static final int SHAPE_TRACE

See Also:
  - Constant Field Values

### SHAPE_CARTOON

public static final int SHAPE_CARTOON

See Also:
  - Constant Field Values

### SHAPE_STRANDS

public static final int SHAPE_STRANDS

See Also:
  - Constant Field Values

### SHAPE_MESHRIBBON

public static final int SHAPE_MESHRIBBON

See Also:
  - Constant Field Values

### SHAPE_RIBBONS

public static final int SHAPE_RIBBONS

See Also:
  - Constant Field Values

### SHAPE_ROCKETS

public static final int SHAPE_ROCKETS

See Also:
  - Constant Field Values

### SHAPE_MAX_SECONDARY

public static final int SHAPE_MAX_SECONDARY

See Also:
  - Constant Field Values

### SHAPE_MIN_SPECIAL

public static final int SHAPE_MIN_SPECIAL
///////

See Also:
  - Constant Field Values

### SHAPE_DOTS

public static final int SHAPE_DOTS
///////

See Also:
  - Constant Field Values

### SHAPE_DIPOLES

public static final int SHAPE_DIPOLES

See Also:
  - Constant Field Values

### SHAPE_VECTORS

public static final int SHAPE_VECTORS

See Also:
  - Constant Field Values

### SHAPE_GEOSURFACE

public static final int SHAPE_GEOSURFACE

See Also:
  - Constant Field Values

### SHAPE_ELLIPSOIDS

public static final int SHAPE_ELLIPSOIDS

See Also:
  - Constant Field Values

### SHAPE_MAX_SIZE_ZERO_ON_RESTRICT

public static final int SHAPE_MAX_SIZE_ZERO_ON_RESTRICT

See Also:
  - Constant Field Values

### SHAPE_MIN_HAS_ID

public static final int SHAPE_MIN_HAS_ID
///////

See Also:
  - Constant Field Values

### SHAPE_POLYHEDRA

public static final int SHAPE_POLYHEDRA
///////

See Also:
  - Constant Field Values

### SHAPE_DRAW

public static final int SHAPE_DRAW

See Also:
  - Constant Field Values

### SHAPE_MAX_SPECIAL

public static final int SHAPE_MAX_SPECIAL

See Also:
  - Constant Field Values

### SHAPE_CGO

public static final int SHAPE_CGO
///////

See Also:
  - Constant Field Values

### SHAPE_MIN_SURFACE

public static final int SHAPE_MIN_SURFACE

See Also:
  - Constant Field Values

### SHAPE_ISOSURFACE

public static final int SHAPE_ISOSURFACE
///////

See Also:
  - Constant Field Values

### SHAPE_CONTACT

public static final int SHAPE_CONTACT

See Also:
  - Constant Field Values

### SHAPE_LCAOCARTOON

public static final int SHAPE_LCAOCARTOON

See Also:
  - Constant Field Values

### SHAPE_MO

public static final int SHAPE_MO

See Also:
  - Constant Field Values

### SHAPE_NBO

public static final int SHAPE_NBO

See Also:
  - Constant Field Values

### SHAPE_PMESH

public static final int SHAPE_PMESH

See Also:
  - Constant Field Values

### SHAPE_PLOT3D

public static final int SHAPE_PLOT3D

See Also:
  - Constant Field Values

### SHAPE_MAX_SURFACE

public static final int SHAPE_MAX_SURFACE

See Also:
  - Constant Field Values

### SHAPE_MAX_MESH_COLLECTION

public static final int SHAPE_MAX_MESH_COLLECTION
///////

See Also:
  - Constant Field Values

### SHAPE_ECHO

public static final int SHAPE_ECHO
///////

See Also:
  - Constant Field Values

### SHAPE_MAX_HAS_ID

public static final int SHAPE_MAX_HAS_ID

See Also:
  - Constant Field Values

### SHAPE_BBCAGE

public static final int SHAPE_BBCAGE

See Also:
  - Constant Field Values

### SHAPE_MAX_HAS_SETVIS

public static final int SHAPE_MAX_HAS_SETVIS

See Also:
  - Constant Field Values

### SHAPE_UCCAGE

public static final int SHAPE_UCCAGE

See Also:
  - Constant Field Values

### SHAPE_AXES

public static final int SHAPE_AXES

See Also:
  - Constant Field Values

### SHAPE_HOVER

public static final int SHAPE_HOVER

See Also:
  - Constant Field Values

### SHAPE_FRANK

public static final int SHAPE_FRANK

See Also:
  - Constant Field Values

### SHAPE_MAX

public static final int SHAPE_MAX

See Also:
  - Constant Field Values

### VIS_BOND_FLAG

public static final int VIS_BOND_FLAG

See Also:
  - Constant Field Values

### VIS_BALLS_FLAG

public static final int VIS_BALLS_FLAG

See Also:
  - Constant Field Values

### VIS_LABEL_FLAG

public static final int VIS_LABEL_FLAG

See Also:
  - Constant Field Values

### VIS_BACKBONE_FLAG

public static final int VIS_BACKBONE_FLAG

See Also:
  - Constant Field Values

### VIS_CARTOON_FLAG

public static final int VIS_CARTOON_FLAG

See Also:
  - Constant Field Values

### ALPHA_CARBON_VISIBILITY_FLAG

public static final int ALPHA_CARBON_VISIBILITY_FLAG

See Also:
  - Constant Field Values

### shapeClassBases

public static final String[] shapeClassBases

### SCRIPT_COMPLETED

public static final String SCRIPT_COMPLETED

See Also:
  - Constant Field Values

### JPEG_EXTENSIONS

public static final String JPEG_EXTENSIONS

See Also:
  - Constant Field Values

### IMAGE_TYPES

public static final String IMAGE_TYPES

See Also:
  - Constant Field Values

### IMAGE_OR_SCENE

public static final String IMAGE_OR_SCENE

See Also:
  - Constant Field Values

### LABEL_MINIMUM_FONTSIZE

public static final int LABEL_MINIMUM_FONTSIZE
////////////// LABEL and ECHO ///////////////////////

See Also:
  - Constant Field Values

### LABEL_MAXIMUM_FONTSIZE

public static final int LABEL_MAXIMUM_FONTSIZE

See Also:
  - Constant Field Values

### LABEL_DEFAULT_FONTSIZE

public static final int LABEL_DEFAULT_FONTSIZE

See Also:
  - Constant Field Values

### LABEL_DEFAULT_X_OFFSET

public static final int LABEL_DEFAULT_X_OFFSET

See Also:
  - Constant Field Values

### LABEL_DEFAULT_Y_OFFSET

public static final int LABEL_DEFAULT_Y_OFFSET

See Also:
  - Constant Field Values

### LABEL_OFFSET_MAX

public static final int LABEL_OFFSET_MAX

See Also:
  - Constant Field Values

### LABEL_FLAGS

public static final int LABEL_FLAGS

See Also:
  - Constant Field Values

### LABEL_POINTER_NONE

public static final int LABEL_POINTER_NONE

See Also:
  - Constant Field Values

### LABEL_POINTER_ON

public static final int LABEL_POINTER_ON

See Also:
  - Constant Field Values

### LABEL_POINTER_BACKGROUND

public static final int LABEL_POINTER_BACKGROUND

See Also:
  - Constant Field Values

### TEXT_ALIGN_NONE

public static final int TEXT_ALIGN_NONE

See Also:
  - Constant Field Values

### TEXT_ALIGN_LEFT

public static final int TEXT_ALIGN_LEFT

See Also:
  - Constant Field Values

### TEXT_ALIGN_CENTER

public static final int TEXT_ALIGN_CENTER

See Also:
  - Constant Field Values

### TEXT_ALIGN_RIGHT

public static final int TEXT_ALIGN_RIGHT

See Also:
  - Constant Field Values

### LABEL_ZPOS_GROUP

public static final int LABEL_ZPOS_GROUP

See Also:
  - Constant Field Values

### LABEL_ZPOS_FRONT

public static final int LABEL_ZPOS_FRONT

See Also:
  - Constant Field Values

### LABEL_EXPLICIT

public static final int LABEL_EXPLICIT

See Also:
  - Constant Field Values

### LABEL_DEFAULT_OFFSET

public static int LABEL_DEFAULT_OFFSET

### ECHO_TOP

public static final int ECHO_TOP

See Also:
  - Constant Field Values

### ECHO_BOTTOM

public static final int ECHO_BOTTOM

See Also:
  - Constant Field Values

### ECHO_MIDDLE

public static final int ECHO_MIDDLE

See Also:
  - Constant Field Values

### ECHO_XY

public static final int ECHO_XY

See Also:
  - Constant Field Values

### ECHO_XYZ

public static final int ECHO_XYZ

See Also:
  - Constant Field Values

### scaleName

public static final String scaleName

See Also:
  - Constant Field Values

### SMILES_TYPE_SMILES

public static final int SMILES_TYPE_SMILES

See Also:
  - Constant Field Values

### SMILES_TYPE_SMARTS

public static final int SMILES_TYPE_SMARTS

See Also:
  - Constant Field Values

### SMILES_TYPE_OPENSMILES

public static final int SMILES_TYPE_OPENSMILES

See Also:
  - Constant Field Values

### SMILES_TYPE_OPENSMARTS

public static final int SMILES_TYPE_OPENSMARTS

See Also:
  - Constant Field Values

### SMILES_FIRST_MATCH_ONLY

public static final int SMILES_FIRST_MATCH_ONLY

See Also:
  - Constant Field Values

### SMILES_NO_AROMATIC

public static final int SMILES_NO_AROMATIC

See Also:
  - Constant Field Values

### SMILES_IGNORE_STEREOCHEMISTRY

public static final int SMILES_IGNORE_STEREOCHEMISTRY

See Also:
  - Constant Field Values

### SMILES_INVERT_STEREOCHEMISTRY

public static final int SMILES_INVERT_STEREOCHEMISTRY

See Also:
  - Constant Field Values

### SMILES_MAP_UNIQUE

public static final int SMILES_MAP_UNIQUE

See Also:
  - Constant Field Values

### SMILES_AROMATIC_DEFINED

public static final int SMILES_AROMATIC_DEFINED
AROMATIC_DEFINED draws all aromatic bonds from connection definitions It is deprecated, because a=a will set it by itself.

See Also:
  - Constant Field Values

### SMILES_AROMATIC_STRICT

public static final int SMILES_AROMATIC_STRICT
AROMATIC_STRICT enforces Hueckel 4+2 rule, not allowing acyclic double bonds

See Also:
  - Constant Field Values

### SMILES_AROMATIC_DOUBLE

public static final int SMILES_AROMATIC_DOUBLE
AROMATIC_DOUBLE allows a distinction between single and double, as for example is necessary to distinguish between n=cNH2 and ncNH2 (necessary for MMFF94 atom typing)

See Also:
  - Constant Field Values

### SMILES_AROMATIC_MMFF94

public static final int SMILES_AROMATIC_MMFF94
AROMATIC_MMFF94 also raises the strictness level to force all 6- and 7-membered rings to have exactly three double bonds.

See Also:
  - Constant Field Values

### SMILES_AROMATIC_PLANAR

public static final int SMILES_AROMATIC_PLANAR
AROMATIC_PLANAR only invokes planarity (Jmol default through 14.5)

See Also:
  - Constant Field Values

### SMILES_IGNORE_ATOM_CLASS

public static final int SMILES_IGNORE_ATOM_CLASS

See Also:
  - Constant Field Values

### SMILES_GEN_EXPLICIT_H_ALL

public static final int SMILES_GEN_EXPLICIT_H_ALL

See Also:
  - Constant Field Values

### SMILES_GEN_EXPLICIT_H2_ONLY

public static final int SMILES_GEN_EXPLICIT_H2_ONLY

See Also:
  - Constant Field Values

### SMILES_GEN_TOPOLOGY

public static final int SMILES_GEN_TOPOLOGY

See Also:
  - Constant Field Values

### SMILES_GEN_ALL_COMPONENTS

public static final int SMILES_GEN_ALL_COMPONENTS

See Also:
  - Constant Field Values

### SMILES_GEN_POLYHEDRAL

public static final int SMILES_GEN_POLYHEDRAL

See Also:
  - Constant Field Values

### SMILES_GEN_ATOM_COMMENT

public static final int SMILES_GEN_ATOM_COMMENT

See Also:
  - Constant Field Values

### SMILES_GEN_NO_BRANCHES

public static final int SMILES_GEN_NO_BRANCHES

See Also:
  - Constant Field Values

### SMILES_GEN_BIO

public static final int SMILES_GEN_BIO

See Also:
  - Constant Field Values

### SMILES_GEN_BIO_ALLOW_UNMATCHED_RINGS

public static final int SMILES_GEN_BIO_ALLOW_UNMATCHED_RINGS

See Also:
  - Constant Field Values

### SMILES_GEN_BIO_COV_CROSSLINK

public static final int SMILES_GEN_BIO_COV_CROSSLINK

See Also:
  - Constant Field Values

### SMILES_GEN_BIO_HH_CROSSLINK

public static final int SMILES_GEN_BIO_HH_CROSSLINK

See Also:
  - Constant Field Values

### SMILES_GEN_BIO_COMMENT

public static final int SMILES_GEN_BIO_COMMENT

See Also:
  - Constant Field Values

### SMILES_GEN_BIO_NOCOMMENTS

public static final int SMILES_GEN_BIO_NOCOMMENTS

See Also:
  - Constant Field Values

### SMILES_GROUP_BY_MODEL

public static final int SMILES_GROUP_BY_MODEL

See Also:
  - Constant Field Values

### SMILES_2D

public static final int SMILES_2D

See Also:
  - Constant Field Values

### JSV_SYNC_KEYWORD_PREFIX

public static final String JSV_SYNC_KEYWORD_PREFIX

See Also:
  - Constant Field Values

### JSV_SYNC_KEYWORD_PREFIX_LENGTH

public static final int JSV_SYNC_KEYWORD_PREFIX_LENGTH

See Also:
  - Constant Field Values

### JSV_NOT

public static final int JSV_NOT

See Also:
  - Constant Field Values

### JSV_SEND_JDXMOL

public static final int JSV_SEND_JDXMOL

See Also:
  - Constant Field Values

### JSV_SETPEAKS

public static final int JSV_SETPEAKS

See Also:
  - Constant Field Values

### JSV_SELECT

public static final int JSV_SELECT

See Also:
  - Constant Field Values

### JSV_STRUCTURE

public static final int JSV_STRUCTURE

See Also:
  - Constant Field Values

### JSV_SEND_H1SIMULATE

public static final int JSV_SEND_H1SIMULATE

See Also:
  - Constant Field Values

### JSV_SEND_C13SIMULATE

public static final int JSV_SEND_C13SIMULATE

See Also:
  - Constant Field Values

### NBO_MODEL

public static final int NBO_MODEL

See Also:
  - Constant Field Values

### NBO_RUN

public static final int NBO_RUN

See Also:
  - Constant Field Values

### NBO_VIEW

public static final int NBO_VIEW

See Also:
  - Constant Field Values

### NBO_SEARCH

public static final int NBO_SEARCH

See Also:
  - Constant Field Values

### NBO_CONFIG

public static final int NBO_CONFIG

See Also:
  - Constant Field Values

### JSV_CLOSE

public static final int JSV_CLOSE

See Also:
  - Constant Field Values

### READER_NOT_FOUND

public static String READER_NOT_FOUND

### BASE64_TAG

public static String BASE64_TAG

### UNITID_MODEL

public static final int UNITID_MODEL

See Also:
  - Constant Field Values

### UNITID_RESIDUE

public static final int UNITID_RESIDUE

See Also:
  - Constant Field Values

### UNITID_ATOM

public static final int UNITID_ATOM

See Also:
  - Constant Field Values

### UNITID_INSCODE

public static final int UNITID_INSCODE

See Also:
  - Constant Field Values

### UNITID_TRIM

public static final int UNITID_TRIM

See Also:
  - Constant Field Values

### DEFAULT_DRAG_DROP_SCRIPT

public static final String DEFAULT_DRAG_DROP_SCRIPT

See Also:
  - Constant Field Values

### UC_TOLERANCE2

public static final float UC_TOLERANCE2
used to compare two atom *fractional* positions in order to see if they are at the same position. Q: should change this to unit cell slop?

See Also:
  - Constant Field Values

### globalBooleans

public static final String[] globalBooleans

### GLOBAL_FRACTCOORD

public static final int GLOBAL_FRACTCOORD

See Also:
  - Constant Field Values

### GLOBAL_SYMMETRY

public static final int GLOBAL_SYMMETRY

See Also:
  - Constant Field Values

### GLOBAL_UNITCELLS

public static final int GLOBAL_UNITCELLS

See Also:
  - Constant Field Values

### GLOBAL_CONECT

public static final int GLOBAL_CONECT

See Also:
  - Constant Field Values

### GLOBAL_ISPDB

public static final int GLOBAL_ISPDB

See Also:
  - Constant Field Values

### GLOBAL_DOMAINS

public static final int GLOBAL_DOMAINS

See Also:
  - Constant Field Values

### GLOBAL_VALIDATIONS

public static final int GLOBAL_VALIDATIONS

See Also:
  - Constant Field Values

### GLOBAL_SUPERCELL

public static final int GLOBAL_SUPERCELL

See Also:
  - Constant Field Values

### GLOBAL_AROMATICBONDS

public static final int GLOBAL_AROMATICBONDS

See Also:
  - Constant Field Values

### GLOBAL_MODULATED

public static final int GLOBAL_MODULATED

See Also:
  - Constant Field Values

### FLOAT_MIN_SAFE

public static final float FLOAT_MIN_SAFE

See Also:
  - Constant Field Values

### CELL_TYPE_MAGNETIC_PARENT

public static final String CELL_TYPE_MAGNETIC_PARENT

See Also:
  - Constant Field Values

### CELL_TYPE_MAGNETIC_STANDARD

public static final String CELL_TYPE_MAGNETIC_STANDARD

See Also:
  - Constant Field Values

### CELL_TYPE_SPIN_FRAME

public static final String CELL_TYPE_SPIN_FRAME

See Also:
  - Constant Field Values

### CELL_TYPE_SPIN_L0

public static final String CELL_TYPE_SPIN_L0

See Also:
  - Constant Field Values

### CELL_TYPE_SPIN_G0

public static final String CELL_TYPE_SPIN_G0

See Also:
  - Constant Field Values

### CELL_TYPE_SPIN_MAG_PRIMITIVE

public static final String CELL_TYPE_SPIN_MAG_PRIMITIVE

See Also:
  - Constant Field Values

### CELL_TYPE_SPIN_MAG_INPUT

public static final String CELL_TYPE_SPIN_MAG_INPUT

See Also:
  - Constant Field Values

### INFO_OPS_CTR

public static final String INFO_OPS_CTR

See Also:
  - Constant Field Values

### INFO_HM

public static final String INFO_HM

See Also:
  - Constant Field Values

### INFO_HALL

public static final String INFO_HALL

See Also:
  - Constant Field Values

### INFO_ITA

public static final String INFO_ITA

See Also:
  - Constant Field Values

### INFO_BIO_SYMMETRY

public static final String INFO_BIO_SYMMETRY

See Also:
  - Constant Field Values

### INFO_BIO_SYMMETRY_COUNT

public static final String INFO_BIO_SYMMETRY_COUNT

See Also:
  - Constant Field Values

### INFO_FILE_SYMMETRY

public static final String INFO_FILE_SYMMETRY

See Also:
  - Constant Field Values

### INFO_FILE_SPACE_GROUP_NAME

public static final String INFO_FILE_SPACE_GROUP_NAME

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_F2C_TITLE

public static final String INFO_SPACE_GROUP_F2C_TITLE

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_ASSIGNED

public static final String INFO_SPACE_GROUP_ASSIGNED

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_INFO

public static final String INFO_SPACE_GROUP_INFO

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_INDEX

public static final String INFO_SPACE_GROUP_INDEX

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_TITLE

public static final String INFO_SPACE_GROUP_TITLE

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_NAME

public static final String INFO_SPACE_GROUP_NAME

See Also:
  - Constant Field Values

### INFO_SPACE_GROUP_NOTE

public static final String INFO_SPACE_GROUP_NOTE

See Also:
  - Constant Field Values

### INFO_UNIT_CELL_PARAMS

public static final String INFO_UNIT_CELL_PARAMS

See Also:
  - Constant Field Values

### INFO_UNIT_CELL_OFFSET

public static final String INFO_UNIT_CELL_OFFSET

See Also:
  - Constant Field Values

### INFO_UNIT_CELL_CONVENTIONAL

public static final String INFO_UNIT_CELL_CONVENTIONAL

See Also:
  - Constant Field Values

### INFO_SYMMETRY_OPERATIONS

public static final String INFO_SYMMETRY_OPERATIONS

See Also:
  - Constant Field Values

### INFO_SYMOPS_TEMP

public static final String INFO_SYMOPS_TEMP

See Also:
  - Constant Field Values

### INFO_SYMMETRY_INFO

public static final String INFO_SYMMETRY_INFO

See Also:
  - Constant Field Values

### PROP_DELETE_MODEL_ATOMS

public static final String PROP_DELETE_MODEL_ATOMS

See Also:
  - Constant Field Values

### PROP_ATOMS_DELETED

public static final String PROP_ATOMS_DELETED

See Also:
  - Constant Field Values

### PROP_ATOMS_MOVED

public static final String PROP_ATOMS_MOVED

See Also:
  - Constant Field Values

### PROP_ATOMS_LABELED

public static final String PROP_ATOMS_LABELED

See Also:
  - Constant Field Values

### INFO_TRAJECTORY_STEPS

public static final String INFO_TRAJECTORY_STEPS

See Also:
  - Constant Field Values

### INFO_VIBRATION_STEPS

public static final String INFO_VIBRATION_STEPS

See Also:
  - Constant Field Values

### INFO_JMOL_DATA

public static final String INFO_JMOL_DATA

See Also:
  - Constant Field Values

### INFO_JMOL_DATA_HEADER

public static final String INFO_JMOL_DATA_HEADER

See Also:
  - Constant Field Values

### INFO_JMOL_DATA_ORIGINATING_MODEL

public static final String INFO_JMOL_DATA_ORIGINATING_MODEL

See Also:
  - Constant Field Values

### INFO_JMOL_DATA_PROPERTIES

public static final String INFO_JMOL_DATA_PROPERTIES

See Also:
  - Constant Field Values

### INFO_JMOL_DATA_SCALING

public static final String INFO_JMOL_DATA_SCALING

See Also:
  - Constant Field Values

### PROP_JSPECVIEW

public static final String PROP_JSPECVIEW

See Also:
  - Constant Field Values

### INFO_START_JSPECVIEW

public static final String INFO_START_JSPECVIEW

See Also:
  - Constant Field Values

### INFO_JDX_MODEL_SELECT

public static final String INFO_JDX_MODEL_SELECT

See Also:
  - Constant Field Values

### INFO_JDX_ATOM_SELECT

public static final String INFO_JDX_ATOM_SELECT

See Also:
  - Constant Field Values

### INFO_MODEL_NAME

public static final String INFO_MODEL_NAME

See Also:
  - Constant Field Values

### PROP_MODEL_TYPE

public static final String PROP_MODEL_TYPE

See Also:
  - Constant Field Values

### INFO_UNIT_CELL_RANGE

public static final String INFO_UNIT_CELL_RANGE
used to set atom symmetry 555 556 etc.

See Also:
  - Constant Field Values

### INFO_UNIT_CELLS

public static final String INFO_UNIT_CELLS

See Also:
  - Constant Field Values

### INFO_UNIT_CELL

public static final String INFO_UNIT_CELL

See Also:
  - Constant Field Values

### FILE_DATA

public static final String FILE_DATA

See Also:
  - Constant Field Values

### LOAD_OPTION_FILL_RANGE

public static final String LOAD_OPTION_FILL_RANGE

See Also:
  - Constant Field Values

### SPIN_ROTATION_MATRIX_APPLIED

public static final String SPIN_ROTATION_MATRIX_APPLIED

See Also:
  - Constant Field Values

### SPIN_ROTATION_AXIS_ANGLE_APPLIED

public static final String SPIN_ROTATION_AXIS_ANGLE_APPLIED

See Also:
  - Constant Field Values

### SPIN_FRAME_ROTATION_MATRIX

public static final String SPIN_FRAME_ROTATION_MATRIX

See Also:
  - Constant Field Values

### UC_MOREINFO

public static final String UC_MOREINFO

See Also:
  - Constant Field Values

### DEFAULT_DRAW_SYM_ID

public static final String DEFAULT_DRAW_SYM_ID

See Also:
  - Constant Field Values

### UNITCELL_PREFIX

public static final String UNITCELL_PREFIX

See Also:
  - Constant Field Values

### SSG_POINT_GROUP_AXES

public static final String SSG_POINT_GROUP_AXES

See Also:
  - Constant Field Values

## Constructor Details

### JC

public JC()

## Method Details

### getNBOTypeFromName

public static int getNBOTypeFromName(String nboType)

### getCIPChiralityName

public static String getCIPChiralityName(int flags)

### getCIPRuleName

public static String getCIPRuleName(int i)

### getCIPChiralityCode

public static int getCIPChiralityCode(char c)

### isLikelyPDB

public static boolean isLikelyPDB(String type)

### resolveDataBase

public static String resolveDataBase(String database, String id, String format)

### embedScript

public static String embedScript(String s)

### getShapeVisibilityFlag

public static final int getShapeVisibilityFlag(int shapeID)

### shapeTokenIndex

public static final int shapeTokenIndex(int tok)

### getShapeClassName

public static final String getShapeClassName(int shapeID, boolean isRenderer)

### getEchoName

public static String getEchoName(int type)

### setZPosition

public static int setZPosition(int offset, int pos)

### setPointer

public static int setPointer(int offset, int pointer)

### getPointer

public static int getPointer(int offset)

### getPointerName

public static String getPointerName(int pointer)

### isOffsetAbsolute

public static boolean isOffsetAbsolute(int offset)

### getOffset

public static int getOffset(int xOffset, int yOffset, boolean isAbsolute)
Construct an 32-bit integer packed with 10-byte x and y offsets (-500 to 500) along with flags to indicate if exact and, if not, a flag to indicate that the 0 in x or y indicates "centered". The non-exact default offset of [4,4] is represented as 0 so that new array elements do not have to be initialized.

Parameters:
  `xOffset` -
  `yOffset` -
  `isAbsolute` -
Returns:
  packed offset x and y with positioning flags

### getXOffset

public static int getXOffset(int offset)
X offset in pixels. negative of this is the actual screen offset

Parameters:
  `offset` - 0 for an offset indicates "not set" and delivers the default offset
Returns:
  screen offset from left

### getYOffset

public static int getYOffset(int offset)
Y offset in pixels; negative of this is the actual screen offset

Parameters:
  `offset` - 0 for an offset indicates "not set" and delivers the default offset
Returns:
  screen offset from bottom

### getAlignment

public static int getAlignment(int offset)

### setHorizAlignment

public static int setHorizAlignment(int offset, int hAlign)

### getHorizAlignmentName

public static String getHorizAlignmentName(int align)

### isSmilesCanonical

public static boolean isSmilesCanonical(String options)

### getServiceCommand

public static int getServiceCommand(String script)

### getUnitIDFlags

public static int getUnitIDFlags(String type)
Get a unitID type

Parameters:
  `type` - -mra (model name, residue, atom, and ins code), -mr (model and residue; no atom) -ra default - or -r just residue -t right-trim
Returns:
  coded type

### getBoolName

public static String getBoolName(int g)

### isSpaceGroupInfoKey

public static boolean isSpaceGroupInfoKey(String key)
When UNITCELL NONE is given, clear out all space group and unit cell keys from model info.

Parameters:
  `key` -
Returns:
  true to delete

### getMenuScript

public static String getMenuScript(String type)